## MoleInvasion-0.4.tar.bz2

=== Makefile ===
#
# Makefile for installing the Mingw32 version of the SDL library

CROSS_PATH := /usr/local/cross-tools/i386-mingw32

all:
	@echo "Type \"make native\" to install to /usr"
	@echo "Type \"make cross\" to install to $(CROSS_PATH)"

native:
	make install-sdl prefix=/usr

cross:
	make install-sdl prefix=$(CROSS_PATH)

install-sdl:
	if test -d $(prefix); then \
	    cp -rv bin include lib share $(prefix)/; \
	    sed "s|^prefix=.*|prefix=$(prefix)|" <bin/sdl-config >$(prefix)/bin/sdl-config; \
	    chmod 755 $(prefix)/bin/sdl-config; \
	    sed "s|^libdir=.*|libdir=\'$(prefix)/lib\'|" <lib/libSDL.la >$(prefix)/lib/libSDL.la; \
	else \
	    echo "*** ERROR: $(prefix) does not exist!"; \
	    exit 1; \
	fi

=== src/Makefile ===
#DESTDIR=/home/guigui/install

CFLAGS  = -g -Wall $$(sdl-config --cflags) -DHAVE_OPENGL #--coverage #-fprofile-use #-pg
LDFLAGS = -O2 #--coverage #-fprofile-use #-pg
LDLIBS  = $$(sdl-config --libs) -lSDL_image -lSDL_mixer -lSDL_ttf

OBJS =  graphics.o font.o list.o sprite.o events.o editor_texts.o \
	Splayer.o Sother.o background.o video.o tool.o \
	mixer.o level_file.o level.o worldmap.o edit_keys.o menu.o

EXEOB = MoleInvasion
EDTOB = editor
EDWOB = editworld

LINLIBS=$(LDLIBS) -lGL
LINEXE = ../lin/moleinvasion
LINEDT = ../lin/editor
LINEDW = ../lin/editworld

WINLIBS=$(LDLIBS) -lopengl32
WINEXE = ../win/moleinvasion.exe
WINEDT = ../win/editor.exe
WINEDW = ../win/editworld.exe

FINALEXEDIR=$(DESTDIR)/usr/games
FINALDATADIR=$(DESTDIR)/usr/share/games/moleinvasion

CFLAGS+=-DDATADIR='"$(FINALDATADIR)"'

all: linux

linux : $(LINEXE) $(LINEDT) $(LINEDW)

mgwin : $(WINEXE) $(WINEDT) $(WINEDW)

install:
	mkdir -p $(FINALEXEDIR)
	cp $(LINEXE) $(FINALEXEDIR)/moleinvasion
	cp $(LINEDT) $(FINALEXEDIR)/moleinvasion-editlevel
	cp $(LINEDW) $(FINALEXEDIR)/moleinvasion-editworld

install-data:
	mkdir -p $(FINALDATADIR)/gfx
	mkdir -p $(FINALDATADIR)/snd
	mkdir -p $(FINALDATADIR)/music
	mkdir -p $(FINALDATADIR)/lvl
	mkdir -p $(FINALDATADIR)/txt
	mkdir -p $(FINALDATADIR)/font
	cp -rf ../gfx ../font ../lvl ../snd ../music ../txt $(FINALDATADIR)/
	find $(FINALDATADIR)/ -name "*.*g" -exec chmod -x {} \;
	-find $(FINALDATADIR)/ -name ".xvpics" -exec rm -rf {} \;

clean:; rm -f *.gc* *.o $(LINEXE) $(LINEDT) $(LINEDW) $(WINEXE) $(WINEDT) $(WINEDW)

nsis: ../NSIS/mole.nsi $(WINEXE) $(WINEDT) $(WINEDW)
	strip $(WINEXE) $(WINEDT) $(WINEDW)
	makensis ../nsis/mole.nsi

molerc.o: mole.rc mole.ico
	windres -i mole.rc -o molerc.o
$(WINEXE): $(OBJS) $(EXEOB).o molerc.o
	$(CC) $(LDFLAGS) $+ $(LOADLIBES) $(WINLIBS) -o $@
$(WINEDT): $(OBJS) $(EDTOB).o molerc.o
	$(CC) $(LDFLAGS) $+ $(LOADLIBES) $(WINLIBS) -o $@
$(WINEDW): $(OBJS) $(EDWOB).o molerc.o
	$(CC) $(LDFLAGS) $+ $(LOADLIBES) $(WINLIBS) -o $@

$(LINEXE): $(OBJS) $(EXEOB).o
	$(CC) $(LDFLAGS) $+ $(LOADLIBES) $(LINLIBS) -o $@
$(LINEDT): $(OBJS) $(EDTOB).o
	$(CC) $(LDFLAGS) $+ $(LOADLIBES) $(LINLIBS) -o $@
$(LINEDW): $(OBJS) $(EDWOB).o
	$(CC) $(LDFLAGS) $+ $(LOADLIBES) $(LINLIBS) -o $@

=== debian/changelog ===
moleinvasion (0.4-1) unstable; urgency=low

  * Initial release (Closes: #356822)

 -- Guillaume Chambraud <linuxprocess@free.fr>  Fri, 06 Jun 2008 22:00:31 +0200

=== debian/control ===
Source: moleinvasion
Section: games
Priority: optional
Maintainer: Guillaume Chambraud <linuxprocess@free.fr>
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.7.3
Homepage: http://moleinvasion.tuxfamily.org/

Package: moleinvasion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, moleinvasion-data (>= 0.4)
Recommends: libsmpeg0
Description: Jump'n run game with Tux
 This is a classic jump.n run game where Tux must deal with Moles.
 

Package: moleinvasion-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, moleinvasion (>= 0.4)
Description: Levels,sounds and musics for the jump'n run game with Tux
 This is a classic jump.n run game where Tux must deal with Moles.
 This is the game data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	cd src;$(MAKE) linux
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-cd src;$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cd src;$(MAKE) install DESTDIR=$(CURDIR)/debian/moleinvasion
	cd src;$(MAKE) install-data DESTDIR=$(CURDIR)/debian/moleinvasion-data


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
